Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 8291 - Write context-sensitive help for core ide components
Write context-sensitive help for core ide components
Status: RESOLVED FIXED
Product: usersguide
Classification: Unclassified
Component: Code
3.x
All All
: P4 (vote)
: 3.x
Assigned To: issues@usersguide
issues@usersguide
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-08 17:55 UTC by Jan Benway
Modified: 2003-11-06 21:44 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Benway 2000-11-08 17:55:46 UTC
The current user guide provide task-based help. Users also need and expect
context-sensitive help. Context-sensitive help answers the questions "What do I
do in this window?" or "How do I set this control?"

We need to be writing context-sensitive help for all components of the base IDE
(dialogs, wizards, windows, properties). Enhancement-bugs 8289 and 8290 ask for
engineering hooks for the user to access this help, but we also need to be
working toward the creation of the help content itself.
Comment 1 Patrick Keegan 2001-04-24 14:43:15 UTC
Window-level help established for for many windows, dialogs, and nodes for 
release32. More complete context-sensitive help planned for future.
Comment 2 Jo Lawless 2001-04-25 22:03:10 UTC
Context-sensitive help is gradually being applied to the product. It's very
time consuming and requires continuous creation due to evolution of product,
therefore, context-sensitive help will continue to be added to the product over
time.
Comment 3 Quality Engineering 2003-07-01 15:21:41 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.
Comment 4 Quality Engineering 2003-07-01 15:25:00 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.
Comment 5 Patrick Keegan 2003-07-10 13:44:44 UTC
adding missing target milestone to closed issue
Comment 6 Jan Chalupa 2003-10-30 12:07:45 UTC
A mistakenly closed RESOLVED LATER/REMIND issue. Reopening.
Comment 7 Patrick Keegan 2003-11-06 21:44:13 UTC
Context-senstive help has generally been added. If you find any places
that you feel deserve context-sensitive help that do not currently
have it, please file separate issues.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo